OpenVDB: RasterizePoints< TransferT, TopologyT, PointFilterT, InterrupterT > Struct Template Reference

OpenVDB 13.0.0

Loading...
Searching...
No Matches
RasterizePoints< TransferT, TopologyT, PointFilterT, InterrupterT > Struct Template Reference

`#include <openvdb/points/PointTransfer.h>`

## Public Types
using | LeafManagerT = tree::LeafManager<TopologyT>
using | LeafNodeT = typename LeafManagerT::LeafNodeType
using | RasterizePointSignature = void(const Coord&, const Index, const CoordBBox&)
using | RasterizePointsSignature = void(const Coord&, const Index, const Index, const CoordBBox&)

## Public Member Functions
| RasterizePoints (const points::PointDataTree &tree, const TransferT &transfer, const CoordBBox &pointBounds, const PointFilterT &filter=PointFilterT(), InterrupterT *interrupter=nullptr)
void | operator() (LeafNodeT &leaf, const size_t idx) const
void | operator() (const typename LeafManagerT::LeafRange &range) const

## Static Public Attributes
static const Index | DIM = TopologyT::LeafNodeType::DIM
static const Int32 | DIM32 = static_cast<Int32>(DIM)
static const Index | LOG2DIM = TopologyT::LeafNodeType::LOG2DIM
static constexpr bool | UseRasterizePoints
static constexpr bool | UseRasterizePoint

## Member Typedef Documentation

## ◆ LeafManagerT

template<typename TransferT, typename TopologyT, typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

using LeafManagerT = tree::LeafManager<TopologyT>

## ◆ LeafNodeT

template<typename TransferT, typename TopologyT, typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

using LeafNodeT = typename LeafManagerT::LeafNodeType

## ◆ RasterizePointSignature

template<typename TransferT, typename TopologyT, typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

using RasterizePointSignature = void(const Coord&, const Index, const CoordBBox&)

## ◆ RasterizePointsSignature

template<typename TransferT, typename TopologyT, typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

using RasterizePointsSignature = void(const Coord&, const Index, const Index, const CoordBBox&)

## Constructor & Destructor Documentation

## ◆ RasterizePoints()

template<typename TransferT, typename TopologyT, typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

RasterizePoints | ( | const points::PointDataTree & | tree,
|  | const TransferT & | transfer,
|  | const CoordBBox & | pointBounds,
|  | const PointFilterT & | filter = PointFilterT(),
|  | InterrupterT * | interrupter = nullptr )
| inline

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename TransferT, typename TopologyT, typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

void operator() | ( | const typename LeafManagerT::LeafRange & | range | ) | const
| inline

## ◆ operator()() [2/2]

template<typename TransferT, typename TopologyT, typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

void operator() | ( | LeafNodeT & | leaf,
|  | const size_t | idx ) const
| inline

## Member Data Documentation

## ◆ DIM

template<typename TransferT, typename TopologyT, typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

const Index DIM = TopologyT::LeafNodeType::DIM
| static

## ◆ DIM32

template<typename TransferT, typename TopologyT, typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

const Int32 DIM32 = static_cast<Int32>(DIM)
| static

## ◆ LOG2DIM

template<typename TransferT, typename TopologyT, typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

const Index LOG2DIM = TopologyT::LeafNodeType::LOG2DIM
| static

## ◆ UseRasterizePoint

template<typename TransferT, typename TopologyT, typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

bool UseRasterizePoint
| staticconstexpr

Initial value:
=
OPENVDB_HAS_INVOKABLE_MEMBER_FUNCTION(TransferT, rasterizePoint, Coord, Index, CoordBBox)
openvdb::v13_0::math::CoordBBox
Axis-aligned bounding box of signed integer coordinates.
Definition Coord.h:252
openvdb::v13_0::math::Coord
Signed (x, y, z) 32-bit integer coordinates.
Definition Coord.h:26
openvdb::v13_0::Index
Index32 Index
Definition Types.h:34
OPENVDB_HAS_INVOKABLE_MEMBER_FUNCTION
#define OPENVDB_HAS_INVOKABLE_MEMBER_FUNCTION(T, F,...)
Definition Types.h:220

## ◆ UseRasterizePoints

template<typename TransferT, typename TopologyT, typename PointFilterT = points::NullFilter, typename InterrupterT = util::NullInterrupter>

bool UseRasterizePoints
| staticconstexpr

Initial value:
=
OPENVDB_HAS_INVOKABLE_MEMBER_FUNCTION(TransferT, rasterizePoints, Coord, Index, Index, CoordBBox)